### 8.47 `CHDIR` — Change working directory

Description:
  Change current working directory to a specified path.

  This intrinsic is provided in both subroutine and function forms; however, only one form can be used in any given program unit.

Standard:
  GNU extension
Class:
  Subroutine, function
Syntax:

  `CALL CHDIR(NAME [, STATUS])`
  `STATUS = CHDIR(NAME)`

Arguments:

  NAME | The type shall be `CHARACTER` of default kind and shall specify a valid path within the file system.
  STATUS | (Optional) `INTEGER` status flag of the default kind. Returns 0 on success, and a system specific and nonzero error code otherwise.

Example:

                PROGRAM test_chdir
                  CHARACTER(len=255) :: path
                  CALL getcwd(path)
                  WRITE(*,*) TRIM(path)
                  CALL chdir("/tmp")
                  CALL getcwd(path)
                  WRITE(*,*) TRIM(path)
                END PROGRAM

See also:
  GETCWD